summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan Mazur2019-12-05 14:32:38 +0100
committerJan Mazur2019-12-05 14:32:38 +0100
commit9cf37bcfce2d507375f469b4e51c68986c6b558e (patch)
tree364419435fe3c44fea03bf58ec566d352609d8f7
downloadaur-9cf37bcfce2d507375f469b4e51c68986c6b558e.tar.gz
Initial commit of the package
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD32
2 files changed, 50 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..63373750ba1
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = python-cint-git
+ pkgdesc = Wrapper for ctypes.c_* types so that the arithmetic operators works the same as in C.
+ pkgver = r48.db993da
+ pkgrel = 1
+ url = https://github.com/disconnect3d/cint
+ arch = any
+ license = MIT
+ makedepends = git
+ makedepends = python-setuptools
+ depends = python
+ provides = python-cint-git
+ conflicts = python-cint
+ conflicts = python-cint-git
+ source = python-cint-git::git+https://github.com/disconnect3d/cint
+ sha256sums = SKIP
+
+pkgname = python-cint-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..7dfddc8f82f
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: mzr <'mzr4141' at the domain 'gmail' dot 'com'>
+pkgname=python-cint-git
+pkgver=r48.db993da
+pkgrel=1
+pkgdesc='Wrapper for ctypes.c_* types so that the arithmetic operators works the same as in C.'
+url='https://github.com/disconnect3d/cint'
+arch=('any')
+license=('MIT')
+makedepends=('git' 'python-setuptools')
+depends=('python')
+source=("${pkgname}::git+https://github.com/disconnect3d/cint")
+sha256sums=('SKIP')
+provides=('python-cint-git')
+conflicts=('python-cint' 'python-cint-git')
+
+pkgver() {
+ cd ${pkgname}
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd ${pkgname}
+ python3 setup.py build
+}
+
+package() {
+ cd ${pkgname}
+ python3 setup.py install --root=${pkgdir}/ --optimize=1 --skip-build
+}